Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
TestEventListeners Class Reference

`#include <gtest.h>`

## Public Member Functions
| TestEventListeners ()
| ~TestEventListeners ()
void | Append (TestEventListener *listener)
TestEventListener * | Release (TestEventListener *listener)
TestEventListener * | default_result_printer () const
TestEventListener * | default_xml_generator () const
| TestEventListeners ()
| ~TestEventListeners ()
void | Append (TestEventListener *listener)
TestEventListener * | Release (TestEventListener *listener)
TestEventListener * | default_result_printer () const
TestEventListener * | default_xml_generator () const
| TestEventListeners ()
| ~TestEventListeners ()
void | Append (TestEventListener *listener)
TestEventListener * | Release (TestEventListener *listener)
TestEventListener * | default_result_printer () const
TestEventListener * | default_xml_generator () const

## Friends
class | TestCase
class | TestInfo
class | internal::DefaultGlobalTestPartResultReporter
class | internal::NoExecDeathTest
class | internal::TestEventListenersAccessor
class | internal::UnitTestImpl

## Constructor & Destructor Documentation

TestEventListeners | ( |  | ) |

~TestEventListeners | ( |  | ) |

TestEventListeners | ( |  | ) |

~TestEventListeners | ( |  | ) |

TestEventListeners | ( |  | ) |

~TestEventListeners | ( |  | ) |

## Member Function Documentation

void Append | ( | TestEventListener * | listener | ) |

void Append | ( | TestEventListener * | listener | ) |

void Append | ( | TestEventListener * | listener | ) |

TestEventListener* default_result_printer | ( |  | ) | const
| inline

TestEventListener* default_result_printer | ( |  | ) | const
| inline

TestEventListener* default_result_printer | ( |  | ) | const
| inline

TestEventListener* default_xml_generator | ( |  | ) | const
| inline

TestEventListener* default_xml_generator | ( |  | ) | const
| inline

TestEventListener* default_xml_generator | ( |  | ) | const
| inline

TestEventListener* Release | ( | TestEventListener * | listener | ) |

TestEventListener * Release | ( | TestEventListener * | listener | ) |

TestEventListener* Release | ( | TestEventListener * | listener | ) |

## Friends And Related Function Documentation

internal::DefaultGlobalTestPartResultReporter
| friend

internal::NoExecDeathTest
| friend

internal::TestEventListenersAccessor
| friend

internal::UnitTestImpl
| friend

TestCase
| friend

TestInfo
| friend

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/include/gtest/gtest.h
- persistence/rapidjson/thirdparty/gtest/src/gtest.cc
- testing/googleTest/fused-src/gtest/gtest-all.cc